# Uses of Interface
org.eclipse.birt.chart.device.IStructureDefinitionListener

Packages that use IStructureDefinitionListener
Package
Description
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.

## Uses of IStructureDefinitionListener in org.eclipse.birt.chart.device

Subinterfaces of IStructureDefinitionListener in org.eclipse.birt.chart.device
Modifier and Type
Interface
Description
`interface`
`IDeviceRenderer`
Combines the primitive rendering notifications provided in the primitive and other convenience methods needed by a device renderer.
Classes in org.eclipse.birt.chart.device that implement IStructureDefinitionListener
Modifier and Type
Class
Description
`class`
`DeviceAdapter`
A no-op adapter implementation for the `IDeviceRenderer`interface definition.

## Uses of IStructureDefinitionListener in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory that return IStructureDefinitionListener
Modifier and Type
Method
Description
`IStructureDefinitionListener`
RunTimeContext.`getStructureDefinitionListener()`
Returns an instance of the structure definition listner for device renderers that need a structure definition notification when rendering primitives.
Methods in org.eclipse.birt.chart.factory with parameters of type IStructureDefinitionListener
Modifier and Type
Method
Description
`void`
RunTimeContext.`setStructureDefinitionListener(IStructureDefinitionListener isdl)`
Internally sets an instance of the structure definition listener for device renderers that need a structure definition notification when rendering primitives.